package com.yijia.system.domain;

import com.yijia.common.core.domain.BaseEntity;
import com.yijia.common.core.domain.entity.SysDept;

import java.util.ArrayList;
import java.util.List;

public class SysDeptDemo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 部门ID */
    private Long deptId;

    /** 父部门ID */
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 部门名称 */
    private String deptName;

    /** 显示顺序 */
    private String orderNum;

    /** 负责人 */
    private String leader;

    /** 联系电话 */
    private String phone;

    /** 邮箱 */
    private String email;

    /** 部门状态:0正常,1停用 */
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 父部门名称 */
    private String parentName;

    /** 集团级别 */
    private Integer jiBie;

    /** 油站地址 */
    private String deptAddress;

    /** 油枪数量 */
    private Long oilGunNum;

    /** 油站照片 */
    private String stationPic;

    /** 子部门 */
    private List<SysDept> children = new ArrayList<SysDept>();

    private List<String> deptIdList;

    private Long orDeptId;
    /** 该油站的优惠方案：0，不执行优惠方案；1，满减；2，立减；3，直降； */
    private String discountSetting;
    /** 是否开启电子卡功能：0，否；1，是 */
    private String cardEnabledFlag;
    /** 照片1*/
    private String image1;
    /** 照片2*/
    private String image2;
    /** 照片3*/
    private String image3;
    /** 照片4*/
    private String image4;
    /** 照片5*/
    private String image5;
    /**班结是否打印(1,是 2 否)*/
    private String wsPrintFlag;
    /**打印小票（1 客户联 2 商户联 3商户联和客户联）*/
    private String printSetting;
    /**公告*/
    private String notice;
    /**积分是否打印(1,是 2 否)*/
    private String integralPrintFlag;
    /**积分是否启用（1.启用，2 关闭）*/
    private String integralFlag;
    /**积分规则是否共享*/
    private String  integralRuleFlag;
    /**电子卡规则是否共享*/
    private String  cardRuleFlag;
    /**优惠劵是否共享*/
    private String  couponFlag;

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(String orderNum) {
        this.orderNum = orderNum;
    }

    public String getLeader() {
        return leader;
    }

    public void setLeader(String leader) {
        this.leader = leader;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public Integer getJiBie() {
        return jiBie;
    }

    public void setJiBie(Integer jiBie) {
        this.jiBie = jiBie;
    }

    public String getDeptAddress() {
        return deptAddress;
    }

    public void setDeptAddress(String deptAddress) {
        this.deptAddress = deptAddress;
    }

    public Long getOilGunNum() {
        return oilGunNum;
    }

    public void setOilGunNum(Long oilGunNum) {
        this.oilGunNum = oilGunNum;
    }

    public String getStationPic() {
        return stationPic;
    }

    public void setStationPic(String stationPic) {
        this.stationPic = stationPic;
    }

    public List<SysDept> getChildren() {
        return children;
    }

    public void setChildren(List<SysDept> children) {
        this.children = children;
    }

    public List<String> getDeptIdList() {
        return deptIdList;
    }

    public void setDeptIdList(List<String> deptIdList) {
        this.deptIdList = deptIdList;
    }

    public Long getOrDeptId() {
        return orDeptId;
    }

    public void setOrDeptId(Long orDeptId) {
        this.orDeptId = orDeptId;
    }

    public String getDiscountSetting() {
        return discountSetting;
    }

    public void setDiscountSetting(String discountSetting) {
        this.discountSetting = discountSetting;
    }

    public String getCardEnabledFlag() {
        return cardEnabledFlag;
    }

    public void setCardEnabledFlag(String cardEnabledFlag) {
        this.cardEnabledFlag = cardEnabledFlag;
    }

    public String getImage1() {
        return image1;
    }

    public void setImage1(String image1) {
        this.image1 = image1;
    }

    public String getImage2() {
        return image2;
    }

    public void setImage2(String image2) {
        this.image2 = image2;
    }

    public String getImage3() {
        return image3;
    }

    public void setImage3(String image3) {
        this.image3 = image3;
    }

    public String getImage4() {
        return image4;
    }

    public void setImage4(String image4) {
        this.image4 = image4;
    }

    public String getImage5() {
        return image5;
    }

    public void setImage5(String image5) {
        this.image5 = image5;
    }

    public String getWsPrintFlag() {
        return wsPrintFlag;
    }

    public void setWsPrintFlag(String wsPrintFlag) {
        this.wsPrintFlag = wsPrintFlag;
    }

    public String getPrintSetting() {
        return printSetting;
    }

    public void setPrintSetting(String printSetting) {
        this.printSetting = printSetting;
    }

    public String getNotice() {
        return notice;
    }

    public void setNotice(String notice) {
        this.notice = notice;
    }

    public String getIntegralPrintFlag() {
        return integralPrintFlag;
    }

    public void setIntegralPrintFlag(String integralPrintFlag) {
        this.integralPrintFlag = integralPrintFlag;
    }

    public String getIntegralFlag() {
        return integralFlag;
    }

    public void setIntegralFlag(String integralFlag) {
        this.integralFlag = integralFlag;
    }

    public String getIntegralRuleFlag() {
        return integralRuleFlag;
    }

    public void setIntegralRuleFlag(String integralRuleFlag) {
        this.integralRuleFlag = integralRuleFlag;
    }

    public String getCardRuleFlag() {
        return cardRuleFlag;
    }

    public void setCardRuleFlag(String cardRuleFlag) {
        this.cardRuleFlag = cardRuleFlag;
    }

    public String getCouponFlag() {
        return couponFlag;
    }

    public void setCouponFlag(String couponFlag) {
        this.couponFlag = couponFlag;
    }
}
